export const setMainColumns = (self, expData = []) => {
  return [
    {
      dataIndex: 'disDate',
      title: '调度日期',
      width: 120,
      sorter: (a, b) => {
        return a.disDate - b.disDate
      },
    },
    {
      dataIndex: 'lineSites',
      title: '配送线路',
      width: 120,
      scopedSlots: { customRender: 'lineSites' },
      sorter: (a, b) => {
        return a.lineSites.length - b.lineSites.length
      },
    },
    {
      dataIndex: 'totalWeight',
      title: '总重量（KG）',
      width: 120,
      sorter: (a, b) => {
        return a.totalWeight - b.totalWeight
      },
    },
    {
      dataIndex: 'totalAmt',
      title: '金额',
      width: 120,
      sorter: (a, b) => {
        return a.totalAmt - b.totalAmt
      },
    },
    {
      dataIndex: 'temperature',
      title: '温度',
      width: 120,
      sorter: (a, b) => {
        return a.temperature - b.temperature
      },
    },
    {
      dataIndex: 'vehicleTypeName',
      title: '车型',
      width: 120,
      sorter: (a, b) => {
        return a.vehicleTypeName - b.vehicleTypeName
      },
    },
    {
      dataIndex: 'vehiclePlateNumber',
      title: '车牌号',
      width: 120,
      sorter: (a, b) => {
        return a.vehiclePlateNumber - b.vehiclePlateNumber
      },
    },
    {
      dataIndex: 'driverName',
      title: '司机',
      width: 120,
      sorter: (a, b) => {
        return a.driverName - b.driverName
      },
    },
    {
      dataIndex: 'driverPhoneNumber',
      title: '电话',
      width: 120,
      sorter: (a, b) => {
        return a.driverPhoneNumber - b.driverPhoneNumber
      },
    },
    {
      dataIndex: 'vehicleDeviceName',
      title: '设备号',
      width: 120,
      sorter: (a, b) => {
        return a.vehicleDeviceName - b.vehicleDeviceName
      },
    },
    {
      dataIndex: 'totalVolume',
      title: '总体积',
      width: 120,
      sorter: (a, b) => {
        return a.totalVolume - b.totalVolume
      },
    },
    {
      dataIndex: 'totalMileage',
      title: '总里程数',
      width: 120,
      sorter: (a, b) => {
        return a.totalMileage - b.totalMileage
      },
    },
    {
      dataIndex: 'totalMileageMap',
      title: '地图总里程',
      width: 120,
      sorter: (a, b) => {
        return a.totalMileageMap - b.totalMileageMap
      },
    },
    {
      dataIndex: 'loadingBillNo',
      title: '派车单号',
      width: 120,
      sorter: (a, b) => {
        return a.loadingBillNo - b.loadingBillNo
      },
    },
    {
      dataIndex: 'statusName',
      title: '派车单状态',
      width: 120,
      sorter: (a, b) => {
        return a.statusName - b.statusName
      },
    },
    {
      dataIndex: 'cargoOwnerName',
      title: '货主',
      width: 120,
      sorter: (a, b) => {
        return a.cargoOwnerName - b.cargoOwnerName
      },
    },
    {
      dataIndex: 'createperson',
      title: '创建人',
      width: 120,
      sorter: (a, b) => {
        return a.createperson - b.createperson
      },
    },
    {
      dataIndex: 'createtime',
      title: '创建日期',
      width: 120,
      sorter: (a, b) => {
        return a.createtime - b.createtime
      },
    },
    {
      dataIndex: 'memo',
      title: '备注',
      width: 120,
      sorter: (a, b) => {
        return a.memo - b.memo
      },
    },
  ]
}